//
//	Copyright  Nemetschek Vectorworks, Inc.
//	Use of this file is governed by the Nemetschek Vectorworks SDK License Agreement
//	http://developer.vectorworks.net/index.php?title=Vectorworks_SDK_License
//

#include "StdAfx.h"

#include "PluginResource.h"

#include "ExtTool.h"

using namespace VectorWorks::Filing;
using namespace TesterModule;

namespace TesterModule
{
	// --------------------------------------------------------------------------------------------------------
	static SToolDef		gToolDef = {
		/*ToolType*/					eExtensionToolType_Normal,
		/*ParametricName*/				"",
		/*PickAndUpdate*/				ToolDef::pickAndUpdate,
		/*NeedScreenPlane*/				ToolDef::doesntNeedScreenPlane,
		/*Need3DProjection*/			ToolDef::doesntNeed3DView,
		/*Use2DCursor*/					ToolDef::use2DCursor,
		/*ConstrainCursor*/				ToolDef::constrainCursor,
		/*NeedPerspective*/				ToolDef::doesntNeedPerspective,
		/*ShowScreenHints*/				ToolDef::showScreenHints,
		/*NeedsPlanarContext*/			ToolDef::needsPlanarContext,
		/*Reserved1*/					false,
		/*Reserved2*/					0,
		/*Reserved3*/					0,
		/*Reserved4*/					0,
		/*Message*/						{13000, 3},
		/*WaitMoveDistance*/			0,
		/*ConstraintFlags*/				0,
		/*BarDisplay*/					kToolBarDisplay_XYClLaZo,
		/*MinimumCompatibleVersion*/	900,
		/*Title*/						{13000, 1},
		/*Category*/					{13000, 2},
		/*HelpText*/					{13000},
		/*VersionCreated*/				16,
		/*VersoinModified*/				0,
		/*VersoinRetired*/				0,
		/*ContextualHelpID*/			"",
		/*IconSpec*/					"MyResources/CExtTool.png",
		/*CursorImageSpec*/				"",
	};
}

// --------------------------------------------------------------------------------------------------------
// {0E551503-8BAC-44C7-925F-42D278737692}
IMPLEMENT_VWExtension(
	/*Extension class*/	CExtTool,
	/*Event sink*/		CTool_EventSink,
	/*Universal name*/	"CExtTool_VWPluginWiz1",
	/*Version*/			1,
	/*UUID*/			0xe551503, 0x8bac, 0x44c7, 0x92, 0x5f, 0x42, 0xd2, 0x78, 0x73, 0x76, 0x92 );

// --------------------------------------------------------------------------------------------------------
// --------------------------------------------------------------------------------------------------------
CExtTool::CExtTool(CallBackPtr cbp)
	: VWExtensionTool( cbp, gToolDef )
{
}

CExtTool::~CExtTool()
{
}

// --------------------------------------------------------------------------------------------------------
// --------------------------------------------------------------------------------------------------------
CTool_EventSink::CTool_EventSink(IVWUnknown* parent)
	: VWTool_EventSink( parent )
{
}

CTool_EventSink::~CTool_EventSink()
{
}

void CTool_EventSink::Draw(IToolDrawProvider* pDrawProvider)
{
}

void CTool_EventSink::HandleComplete()
{
}


